## groovy.lang
Class MissingClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingClassException

All Implemented Interfaces:
  Serializable

    public class MissingClassException

extends GroovyRuntimeException

An exception occurred if a dynamic method dispatch fails with an unknown class. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Version:
  $Revision: 6817 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`MissingClassException(ClassNode type, String message)`
`MissingClassException(String type, ASTNode node, String message)`

Method Summary
`String` `getType()`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingClassException

    public MissingClassException(String type,
                                 ASTNode node,
                                 String message)

### MissingClassException

    public MissingClassException(ClassNode type,
                                 String message)

Method Detail

### getType

    public String getType()

  Returns:
    The type that could not be resolved

Copyright © 2003-2008 The Codehaus. All rights reserved.